Bug 741380 - RFE: /distribution/pkginstall should support yum groupinstall
Summary: RFE: /distribution/pkginstall should support yum groupinstall
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: tests
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ---
Assignee: Gurhan Ozen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 17:39 UTC by Jenny Galipeau
Modified: 2013-11-04 02:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-10 05:53:46 UTC


Attachments (Terms of Use)

Description Jenny Galipeau 2011-09-26 17:39:35 UTC
Description of problem:
It would be nice if you could extend the pkginstall tasks to support groupinstall.

example param ...

<param name="PKGGRPARGNAME" value="yum -y groupinstall Desktop &quot;X Windows System&quot;"/>

Version-Release number of selected component (if applicable):
0.7.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jenny Galipeau 2011-09-26 17:39:57 UTC
(In reply to comment #0)
> Description of problem:
> It would be nice if you could extend the pkginstall tasks to support
> groupinstall.
> 
> example param ...
> 
> <param name="PKGGRPARGNAME" value="Desktop &quot;X Windows
> System&quot;"/>
> 
> Version-Release number of selected component (if applicable):
> 0.7.1
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

Comment 2 Gurhan Ozen 2011-10-30 14:26:07 UTC
Hi Jenny, 
I have added this support and tested it. The current version of /distribution/pkginstall in beaker should be doing this. The new parameter added for groupinstalls is "PKGGRPNAME" .
However you need to be paying attention to the group names with white spaces in it. Those need to be quoted to indicate that they form a single group name. For example:

<param name="PKGGRPNAME" value="Editors &quot;X Window System&quot; &quot;GNOME Desktop Environment&quot; KVM "/>

The job I submitted for it is : 
https://beaker.engineering.redhat.com/jobs/clone?job_id=149356 

Please try it and update this bz.

Comment 3 Dan Callaghan 2012-10-10 05:53:46 UTC
Assuming this is working now.


Note You need to log in before you can comment on or make changes to this bug.